aagc.vo

## Class PaiDomiciliareResponse

- java.lang.Object
- - aagc.vo.PaiDomiciliareResponse

-     public class PaiDomiciliareResponse
      extends java.lang.Object

  Classe Java per paiDomiciliareResponse complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="paiDomiciliareResponse">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="idPAI">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataAutorizzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="idDocumentoFirmato">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="[0-9]+"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="distretto">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <pattern value="[0-9]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceFiscale">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z]{6}[0-9]{2}[a-zA-Z]{1}[0-9]{2}[a-zA-Z]{1}[0-9]{3}[a-zA-Z]{1}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="cognomeAssistito">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="80"/>
                     <pattern value="[a-zA-Z]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="nomeAssistito">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="80"/>
                     <pattern value="[a-zA-Z]*"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="tipologiaAssistenzaAutorizzata">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}int">
                     <maxInclusive value="8"/>
                     <minInclusive value="1"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataConcessioneAutorizzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataInizioRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataFineRiferimento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="elencoMediciResponsabili">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="medico" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="interruzioneAnticipata" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="periodiSospensione" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PaiDomiciliareResponse.ElencoMediciResponsabili` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceFiscale`
    `protected java.lang.String` | `cognomeAssistito`
    `protected java.lang.String` | `dataAutorizzazione`
    `protected java.lang.String` | `dataConcessioneAutorizzazione`
    `protected java.lang.String` | `dataFineRiferimento`
    `protected java.lang.String` | `dataInizioRiferimento`
    `protected int` | `distretto`
    `protected PaiDomiciliareResponse.ElencoMediciResponsabili` | `elencoMediciResponsabili`
    `protected int` | `idDocumentoFirmato`
    `protected int` | `idPAI`
    `protected boolean` | `interruzioneAnticipata`
    `protected java.lang.String` | `nomeAssistito`
    `protected boolean` | `periodiSospensione`
    `protected int` | `tipologiaAssistenzaAutorizzata`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaiDomiciliareResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceFiscale()` Recupera il valore della proprietà codiceFiscale.
    `java.lang.String` | `getCognomeAssistito()` Recupera il valore della proprietà cognomeAssistito.
    `java.lang.String` | `getDataAutorizzazione()` Recupera il valore della proprietà dataAutorizzazione.
    `java.lang.String` | `getDataConcessioneAutorizzazione()` Recupera il valore della proprietà dataConcessioneAutorizzazione.
    `java.lang.String` | `getDataFineRiferimento()` Recupera il valore della proprietà dataFineRiferimento.
    `java.lang.String` | `getDataInizioRiferimento()` Recupera il valore della proprietà dataInizioRiferimento.
    `int` | `getDistretto()` Recupera il valore della proprietà distretto.
    `PaiDomiciliareResponse.ElencoMediciResponsabili` | `getElencoMediciResponsabili()` Recupera il valore della proprietà elencoMediciResponsabili.
    `int` | `getIdDocumentoFirmato()` Recupera il valore della proprietà idDocumentoFirmato.
    `int` | `getIdPAI()` Recupera il valore della proprietà idPAI.
    `java.lang.String` | `getNomeAssistito()` Recupera il valore della proprietà nomeAssistito.
    `int` | `getTipologiaAssistenzaAutorizzata()` Recupera il valore della proprietà tipologiaAssistenzaAutorizzata.
    `boolean` | `isInterruzioneAnticipata()` Recupera il valore della proprietà interruzioneAnticipata.
    `boolean` | `isPeriodiSospensione()` Recupera il valore della proprietà periodiSospensione.
    `void` | `setCodiceFiscale(java.lang.String value)` Imposta il valore della proprietà codiceFiscale.
    `void` | `setCognomeAssistito(java.lang.String value)` Imposta il valore della proprietà cognomeAssistito.
    `void` | `setDataAutorizzazione(java.lang.String value)` Imposta il valore della proprietà dataAutorizzazione.
    `void` | `setDataConcessioneAutorizzazione(java.lang.String value)` Imposta il valore della proprietà dataConcessioneAutorizzazione.
    `void` | `setDataFineRiferimento(java.lang.String value)` Imposta il valore della proprietà dataFineRiferimento.
    `void` | `setDataInizioRiferimento(java.lang.String value)` Imposta il valore della proprietà dataInizioRiferimento.
    `void` | `setDistretto(int value)` Imposta il valore della proprietà distretto.
    `void` | `setElencoMediciResponsabili(PaiDomiciliareResponse.ElencoMediciResponsabili value)` Imposta il valore della proprietà elencoMediciResponsabili.
    `void` | `setIdDocumentoFirmato(int value)` Imposta il valore della proprietà idDocumentoFirmato.
    `void` | `setIdPAI(int value)` Imposta il valore della proprietà idPAI.
    `void` | `setInterruzioneAnticipata(boolean value)` Imposta il valore della proprietà interruzioneAnticipata.
    `void` | `setNomeAssistito(java.lang.String value)` Imposta il valore della proprietà nomeAssistito.
    `void` | `setPeriodiSospensione(boolean value)` Imposta il valore della proprietà periodiSospensione.
    `void` | `setTipologiaAssistenzaAutorizzata(int value)` Imposta il valore della proprietà tipologiaAssistenzaAutorizzata.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idPAI

          protected int idPAI

    - #### dataAutorizzazione

          protected java.lang.String dataAutorizzazione

    - #### idDocumentoFirmato

          protected int idDocumentoFirmato

    - #### distretto

          protected int distretto

    - #### codiceFiscale

          protected java.lang.String codiceFiscale

    - #### cognomeAssistito

          protected java.lang.String cognomeAssistito

    - #### nomeAssistito

          protected java.lang.String nomeAssistito

    - #### tipologiaAssistenzaAutorizzata

          protected int tipologiaAssistenzaAutorizzata

    - #### dataConcessioneAutorizzazione

          protected java.lang.String dataConcessioneAutorizzazione

    - #### dataInizioRiferimento

          protected java.lang.String dataInizioRiferimento

    - #### dataFineRiferimento

          protected java.lang.String dataFineRiferimento

    - #### elencoMediciResponsabili

          protected PaiDomiciliareResponse.ElencoMediciResponsabili elencoMediciResponsabili

    - #### interruzioneAnticipata

          protected boolean interruzioneAnticipata

    - #### periodiSospensione

          protected boolean periodiSospensione

  - ### Constructor Detail

    - #### PaiDomiciliareResponse

          public PaiDomiciliareResponse()

  - ### Method Detail

    - #### getIdPAI

          public int getIdPAI()

      Recupera il valore della proprietà idPAI.

    - #### setIdPAI

          public void setIdPAI(int value)

      Imposta il valore della proprietà idPAI.

    - #### getDataAutorizzazione

          public java.lang.String getDataAutorizzazione()

      Recupera il valore della proprietà dataAutorizzazione.
      Returns:
        possible object is `String`

    - #### setDataAutorizzazione

          public void setDataAutorizzazione(java.lang.String value)

      Imposta il valore della proprietà dataAutorizzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdDocumentoFirmato

          public int getIdDocumentoFirmato()

      Recupera il valore della proprietà idDocumentoFirmato.

    - #### setIdDocumentoFirmato

          public void setIdDocumentoFirmato(int value)

      Imposta il valore della proprietà idDocumentoFirmato.

    - #### getDistretto

          public int getDistretto()

      Recupera il valore della proprietà distretto.

    - #### setDistretto

          public void setDistretto(int value)

      Imposta il valore della proprietà distretto.

    - #### getCodiceFiscale

          public java.lang.String getCodiceFiscale()

      Recupera il valore della proprietà codiceFiscale.
      Returns:
        possible object is `String`

    - #### setCodiceFiscale

          public void setCodiceFiscale(java.lang.String value)

      Imposta il valore della proprietà codiceFiscale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCognomeAssistito

          public java.lang.String getCognomeAssistito()

      Recupera il valore della proprietà cognomeAssistito.
      Returns:
        possible object is `String`

    - #### setCognomeAssistito

          public void setCognomeAssistito(java.lang.String value)

      Imposta il valore della proprietà cognomeAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getNomeAssistito

          public java.lang.String getNomeAssistito()

      Recupera il valore della proprietà nomeAssistito.
      Returns:
        possible object is `String`

    - #### setNomeAssistito

          public void setNomeAssistito(java.lang.String value)

      Imposta il valore della proprietà nomeAssistito.
      Parameters:
        `value` - allowed object is `String`

    - #### getTipologiaAssistenzaAutorizzata

          public int getTipologiaAssistenzaAutorizzata()

      Recupera il valore della proprietà tipologiaAssistenzaAutorizzata.

    - #### setTipologiaAssistenzaAutorizzata

          public void setTipologiaAssistenzaAutorizzata(int value)

      Imposta il valore della proprietà tipologiaAssistenzaAutorizzata.

    - #### getDataConcessioneAutorizzazione

          public java.lang.String getDataConcessioneAutorizzazione()

      Recupera il valore della proprietà dataConcessioneAutorizzazione.
      Returns:
        possible object is `String`

    - #### setDataConcessioneAutorizzazione

          public void setDataConcessioneAutorizzazione(java.lang.String value)

      Imposta il valore della proprietà dataConcessioneAutorizzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataInizioRiferimento

          public java.lang.String getDataInizioRiferimento()

      Recupera il valore della proprietà dataInizioRiferimento.
      Returns:
        possible object is `String`

    - #### setDataInizioRiferimento

          public void setDataInizioRiferimento(java.lang.String value)

      Imposta il valore della proprietà dataInizioRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataFineRiferimento

          public java.lang.String getDataFineRiferimento()

      Recupera il valore della proprietà dataFineRiferimento.
      Returns:
        possible object is `String`

    - #### setDataFineRiferimento

          public void setDataFineRiferimento(java.lang.String value)

      Imposta il valore della proprietà dataFineRiferimento.
      Parameters:
        `value` - allowed object is `String`

    - #### getElencoMediciResponsabili

          public PaiDomiciliareResponse.ElencoMediciResponsabili getElencoMediciResponsabili()

      Recupera il valore della proprietà elencoMediciResponsabili.
      Returns:
        possible object is `PaiDomiciliareResponse.ElencoMediciResponsabili`

    - #### setElencoMediciResponsabili

          public void setElencoMediciResponsabili(PaiDomiciliareResponse.ElencoMediciResponsabili value)

      Imposta il valore della proprietà elencoMediciResponsabili.
      Parameters:
        `value` - allowed object is `PaiDomiciliareResponse.ElencoMediciResponsabili`

    - #### isInterruzioneAnticipata

          public boolean isInterruzioneAnticipata()

      Recupera il valore della proprietà interruzioneAnticipata.

    - #### setInterruzioneAnticipata

          public void setInterruzioneAnticipata(boolean value)

      Imposta il valore della proprietà interruzioneAnticipata.

    - #### isPeriodiSospensione

          public boolean isPeriodiSospensione()

      Recupera il valore della proprietà periodiSospensione.

    - #### setPeriodiSospensione

          public void setPeriodiSospensione(boolean value)

      Imposta il valore della proprietà periodiSospensione.